#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           pim-sieve-editor
Summary:        Application to assist with editing IMAP Sieve filters
Epoch:          2
Version: 20.12.0
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)

# Find KF5 package
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5Bookmarks)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5KIO)


# Find KdepimLibs Package
BuildRequires:  cmake(KF5PimTextEdit)
BuildRequires:  cmake(KF5MailTransport)
BuildRequires:  cmake(KF5MessageViewer)
BuildRequires:  cmake(KF5PimCommon)
BuildRequires:  cmake(KF5LibKSieve)

BuildRequires:  cmake(KUserFeedback)


%description
Application to assist with editing IMAP Sieve filters.

%files -f %name.lang
%_kf5_categoriesdir/sieveeditor.categories
%_kf5_categoriesdir/sieveeditor.renamecategories
%_kf5_bindir/sieveeditor
%_kf5_applicationsdir/org.kde.sieveeditor.desktop
%_kf5_metainfodir/org.kde.sieveeditor.appdata.xml
%_kf5_datadir/config.kcfg/sieveeditorglobalconfig.kcfg
%_kf5_datadir/kconf_update/sieveeditor-15.08-kickoff.sh
%_kf5_datadir/kconf_update/sieveeditor.upd

#------------------------------------------------------------------------------


%define sieveeditor_major 5
%define libsieveeditor %mklibname sieveeditor %sieveeditor_major

%package -n %libsieveeditor
Summary:        Application to assist with editing IMAP Sieve filters
Group:          System/Libraries
Requires:       %name >= %epoch:%version-%release

%description -n %libsieveeditor
Application to assist with editing IMAP Sieve filters

%files -n %libsieveeditor
%_kf5_libdir/libsieveeditor.so.%{sieveeditor_major}{,.*}

#------------------------------------------------------------------------------

%package handbook
Summary:        %{name} Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/sieveeditor

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name


%changelog
* Fri Dec 11 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1655711
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1644092
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633912
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1627151
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1615022
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604216
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596953
- New version 20.04.2

* Mon May 18 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1585785
- New version 20.04.1

* Sun Apr 19 2020 daviddavid <daviddavid> 2:20.04.0-2.mga8
+ Revision: 1569733
- enable KUserFeedback support

* Fri Apr 17 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1568230
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559420
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540910
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513395
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1467053
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457998
- New version 19.08.3

* Sat Sep 28 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447796
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1425086
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390541
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387759
- New version 19.03.90

* Mon Apr 01 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1383949
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375770
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365664
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356601
- New version 18.12.1

* Fri Dec 21 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1344123
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332836
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1327489
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1300280
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1229155
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201986
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1195008
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1186550
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1143142
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1136948
- New version 17.07.90

* Mon Jul 31 2017 daviddavid <daviddavid> 2:17.04.3-2.mga7
+ Revision: 1133115
- fix requires
- fix for new find_lang

* Fri Jul 28 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1131919
- New version 17.04.3

* Sat Mar 11 2017 neoclust <neoclust> 2:16.12.3-2.mga6
+ Revision: 1092001
- Exclude on armv5

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090171
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076913
- New version 16.12.0

* Wed Dec 14 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1075080
- imported package pim-sieve-editor

